Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.rms
Class RecordStoreManager

    java.lang.Object
      com.sun.squawk.rms.RecordStoreManager

All Implemented Interfaces:
  INorFlashMemoryHeapScanner, IRecordStoreManager

    public class RecordStoreManager

extends Object
implements IRecordStoreManager

Field Summary
`protected IApplicationDescriptorEntry` | `currentApplicationDescriptor`
`protected IRecordStoreEntry[]` | `currentRecordStores`
`protected INorFlashMemoryHeap` | `memoryHeap`
`protected INorFlashMemoryHeapScanner` | `memoryHeapScanner`
`protected IRmsEntryVisitor` | `reScanVisitor`
`protected IRmsEntryVisitor` | `scanVisitor`

Constructor Summary
`protected` | `RecordStoreManager()`
`` | `RecordStoreManager(INorFlashMemoryHeap memoryHeap)`
`` | `RecordStoreManager(INorFlashMemoryHeap memoryHeap, INorFlashMemoryHeapScanner memoryHeapScanner, IRmsEntryVisitor scanVisitor, IRmsEntryVisitor reScanVisitor)`

Method Summary
`protected String` | `checkMIDletVersion(String nameInstalled, String vendorInstalled, String versionInstalled)`
`boolean` | `deleteRecordStore(String name)`
`IRmsEntry` | `getEntryAt(Address address)`
`IRmsEntry` | `getEntryIn(IMemoryHeapBlock block)`
`long` | `getErasedSequenceCurrentValue()`
`protected IRecordStoreEntry` | `getRecordStore(int storeId)`
`IRecordStoreEntry` | `getRecordStore(String name, boolean createIfNecessary)`
`String[]` | `getRecordStoreNames()`
`int` | `getSizeAvailable()`
`protected void` | `init()`
`void` | `invalidateEntryAt(Address address)`
`Address` | `logEntry(IRmsEntry entry)`
`void` | `reScanBlock(Address oldAddress, Address newAddress, IMemoryHeapBlock block)`
`void` | `scanBlock(IMemoryHeapBlock block)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### memoryHeap

    protected INorFlashMemoryHeap memoryHeap

### currentRecordStores

    protected IRecordStoreEntry[] currentRecordStores

### currentApplicationDescriptor

    protected IApplicationDescriptorEntry currentApplicationDescriptor

### memoryHeapScanner

    protected INorFlashMemoryHeapScanner memoryHeapScanner

### scanVisitor

    protected IRmsEntryVisitor scanVisitor

### reScanVisitor

    protected IRmsEntryVisitor reScanVisitor

Constructor Detail

### RecordStoreManager

    protected RecordStoreManager()

### RecordStoreManager

    public RecordStoreManager(INorFlashMemoryHeap memoryHeap)
                       throws RecordStoreException

Throws:
  `RecordStoreException`

### RecordStoreManager

    public RecordStoreManager(INorFlashMemoryHeap memoryHeap,
                              INorFlashMemoryHeapScanner memoryHeapScanner,
                              IRmsEntryVisitor scanVisitor,
                              IRmsEntryVisitor reScanVisitor)
                       throws RecordStoreException

Throws:
  `RecordStoreException`

Method Detail

### checkMIDletVersion

    protected String checkMIDletVersion(String nameInstalled,
                                        String vendorInstalled,
                                        String versionInstalled)

### deleteRecordStore

    public boolean deleteRecordStore(String name)
                              throws RecordStoreException

  Specified by:
    `deleteRecordStore` in interface `IRecordStoreManager`
  Throws:
    `RecordStoreException`

### getEntryAt

    public IRmsEntry getEntryAt(Address address)
                         throws RecordStoreException

  Specified by:
    `getEntryAt` in interface `IRecordStoreManager`
  Throws:
    `RecordStoreException`

### getEntryIn

    public IRmsEntry getEntryIn(IMemoryHeapBlock block)
                         throws RecordStoreException

  Throws:
    `RecordStoreException`

### getErasedSequenceCurrentValue

    public long getErasedSequenceCurrentValue()

  Specified by:
    `getErasedSequenceCurrentValue` in interface `IRecordStoreManager`

### getRecordStore

    protected IRecordStoreEntry getRecordStore(int storeId)

### getRecordStore

    public IRecordStoreEntry getRecordStore(String name,
                                            boolean createIfNecessary)
                                     throws RecordStoreException

  Specified by:
    `getRecordStore` in interface `IRecordStoreManager`
  Throws:
    `RecordStoreException`

### getRecordStoreNames

    public String[] getRecordStoreNames()

  Specified by:
    `getRecordStoreNames` in interface `IRecordStoreManager`

### getSizeAvailable

    public int getSizeAvailable()
                         throws RecordStoreException

  Specified by:
    `getSizeAvailable` in interface `IRecordStoreManager`
  Throws:
    `RecordStoreException`

### init

    protected void init()
                 throws RecordStoreException

  Throws:
    `RecordStoreException`

### invalidateEntryAt

    public void invalidateEntryAt(Address address)
                           throws RecordStoreException

  Specified by:
    `invalidateEntryAt` in interface `IRecordStoreManager`
  Throws:
    `RecordStoreException`

### logEntry

    public Address logEntry(IRmsEntry entry)
                     throws RecordStoreException

  Specified by:
    `logEntry` in interface `IRecordStoreManager`
  Throws:
    `RecordStoreException`

### reScanBlock

    public void reScanBlock(Address oldAddress,
                            Address newAddress,
                            IMemoryHeapBlock block)
                     throws RecordStoreException

  Specified by:
    `reScanBlock` in interface `INorFlashMemoryHeapScanner`
  Throws:
    `RecordStoreException`

### scanBlock

    public void scanBlock(IMemoryHeapBlock block)
                   throws RecordStoreException

  Specified by:
    `scanBlock` in interface `INorFlashMemoryHeapScanner`
  Throws:
    `RecordStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"